Page updated: 21/03/2007
About the website

                        Valid XHTML 1.0!

 
gLite 3.0

glite-SE_dpm_oracle - Update to version 3.0.7-0

Date 13.03.07
Priority Normal

Description



This update contains a new version of edg-mkgridmap 2.8.1 with these improvements:
  • Work-around for bug #23292: "escaped quotes in grid-mapfile cause infinite loop". We now reject entries with embedded double quotes or trailing backslashes.
  • Added "--usermode" option to facilitate running the script as an ordinary user by having the relevant environment variables point to the user's X509 proxy instead of using the personal certificate and key.
  • Made scanning of grid-mapfile-local robust against trailing white space. Warn about malformed lines.
  • Updated documentation.
  • Updated spec file release, URL, copyright and packager.
lcg-vomscerts-4.4.0 provides the current and new certs of the VOMS server for "biomed" and "egeode" (the current one expires on March 27).The rpm also includes the cert of voms-test.cern.ch to allow for grid-wide testing of new VOMS features.

New version of glite-yaim-3.0.0 affecting DPM/LFC: The wrong version of glite-yaim was delivered with the last LFC and DPM release (glite-yaim-3.0.0-36 instead of glite-yaim-3.0.0-38).

To apply this update please :

  • upgrade YAIM to glite-yaim-3.0.0-38
  • reconfigure the LFC and DPM nodes

More instructions on the update procedure can be found here.

Please also have a look at the list of known issues.

Updated rpms

Name Version Full RPM name Description
edg-mkgridmap 2.8.1-1 edg-mkgridmap-2.8.1-1.noarch.rpm A tool to build the grid-mapfile
edg-mkgridmap-conf 2.8.1-1 edg-mkgridmap-conf-2.8.1-1.noarch.rpm edg-mkgridmap configuration files
glite-SE_dpm_oracle 3.0.7-0 glite-SE_dpm_oracle-3.0.7-0.noarch.rpm gLite SE DPM Oracle node
glite-yaim 3.0.0-38 glite-yaim-3.0.0-38.noarch.rpm glite-yaim
lcg-vomscerts 4.4.0-1 lcg-vomscerts-4.4.0-1.noarch.rpm lcg-vomscerts

The RPMs can be updated using apt via

Service reconfiguration after update

Needed - see above for details.

Service restart after update

Needed - see above for details.

How to apply the fix

  1. Update the RPMs (see above)
  2. Update configuration (see above)
  3. Restart the service if necessary (see above)